<!DOCTYPE html>
<html>
  <head>
    <title>Fotobook</title>
    <%= csrf_meta_tags %>
    <%= csp_meta_tag %>
  
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.12.4/css/bootstrap-select.min.css">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
     <!-- jQuery library -->
    <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script>

    <!-- Popper -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>

    <!-- Latest compiled and minified Bootstrap JavaScript -->
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>
    
    <%= stylesheet_link_tag    'application', media: 'all', 'data-turbolinks-track': 'reload' %>
    <%= javascript_include_tag 'application', 'data-turbolinks-track': 'reload' %>
  </head>
  <body>
    <nav class="navbar navbar-default navbar-fixed-top">
      <div class="container ">
        <div class="collapse navbar-collapse text-header" id="navbar-top">
          <div class="navbar-header">
            <%= link_to "Fotobook", root_url, class: "navbar-brand" %>  
          </div>
          <div class="box">
            <ul class="nav navbar-nav navbar-right ">
              <% if user_signed_in? %>
                <%if current_user.avatar.attached? %>
                  <li class="round-image-50"><%= image_tag(current_user.avatar, class: "photo") %></li>
                <%else%>
                  <% current_user.avatar.attach(io: File.open(Rails.root.join('app', 'assets', 'images','default.jpg')), content_type: "image/jpg",  filename: "default.jpg") %>
                  <li class="round-image-50"><%= image_tag(current_user.avatar, class: "photo medium") %></li>
                <%end%>
                <%if current_user.role != 0 %>
                    <li><%= link_to 'Manage', admin_photos_path, method: :get, class: "text-header" %></li>
                <%end%>
                <li><%= link_to current_user.full_name, user_path(id: current_user.id), class: "text-header"%></li>
                <li><%= link_to 'Sign out', destroy_user_session_path, method: :delete, class: "text-header" %></li>
              <% else %>
                <li><%= link_to 'Sign up', new_user_registration_path, class: "text-header" %></li>
                <li><%= link_to 'Sign in', user_session_path, class: "text-header" %></li>
              <% end %>
            </ul>
          </div>
        </div>
      </nav>
      <div class="container container-body">
        <%= yield %>
      </div>
  </body>
</html>
